sonar.projectKey=angular17-blank-project
sonar.qualitygate.wait=true

sonar.host.url=https://sonar.info.univ-lyon1.fr
sonar.token=sqp_702b21e6c4d77aa9933f2ae71888f90dcc2607a4

# Source files config
sonar.sourceEncoding=UTF-8
sonar.sources=src
sonar.exclusions=**/node_modules/**,src/app/app.component.ts,src/environments/environment.development.ts,src/environments/environment.ts,src/setup.jest.ts,src/main.ts
sonar.tests=src
sonar.test.inclusions=**/*.spec.ts
sonar.coverage.minimumCoverage=80
sonar.typescript.tsconfigPath=tsconfig.json # TypeScript config file

# report path for code coverage
sonar.javascript.lcov.reportPaths=coverage/lcov.info
